Summary: 	Full-featured POP/IMAP mail retrieval daemon
Name:		fetchmail
Version:	6.4.37
Release:	%mkrel 3
License: 	GPLv2
Group:		Networking/Mail
URL: 		https://www.fetchmail.info
Source0:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source2:	https://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz.asc
Source4:	fetchmail.sysconfig
Source5:	fetchmail.service
Source6:	fetchmail.gif
Source7:	fetchmail.png
Patch0:		fetchmail-5.7.0-nlsfix.patch
# Backported support for OAUTH2 authentication from Fetchmail 7.0
Patch1:         fetchmail-add-imap-oauthbearer-support.patch
Patch2:         fetchmail-support-oauthbearer-xoauth2-with-pop3.patch
Patch3:         fetchmail-add-passwordfile-and-passwordfd-options.patch
Patch4:         fetchmail-add-contrib-fetchnmail-oauth2.py-token-acquisition-u.patch
Patch5:         fetchmail-FAQ-list-gmail-options-including-oauthbearer-and-app.patch
Patch6:         fetchmail-give-each-ctl-it-s-own-copy-of-password.patch
Patch7:         fetchmail-re-read-passwordfile-on-every-poll.patch
Patch8:         fetchmail-add-query_to64_outsize-utility-function.patch
Patch9:         fetchmail-chase-and-integrate-interface-change.patch
Patch10:        fetchmail-oauth2-c-calculate-and-pass-in-correct-buffer-size-to-to64frombits.patch
Patch11:        fetchmail-increase-max-password-length-to-handle-oauth-tokens.patch
Patch12:        fetchmail-bump-max-passwordlen-to-1bytes.patch
Patch13:        fetchmail-add-readme-oauth2-issue-27.patch

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	gettext
BuildRequires:	gettext-devel
BuildRequires:	krb5-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	python3
Requires: 	MailTransportAgent
Obsoletes:	fetchyahoo < 2.14.9-2

%description
Fetchmail is a free, full-featured, robust, and well-documented remote mail
retrieval and forwarding utility intended to be used over on-demand TCP/IP
links (such as SLIP or PPP connections).

It retrieves mail from remote mail servers and forwards it to your local
(client) machine's delivery system, so it can then be read by normal
mail user agents such as Mutt, Elm, Pine, (X)Emacs/Gnus or Mailx.

It comes with an interactive GUI configurator suitable for end-users.

Fetchmail supports every remote-mail protocol currently in use on the
Internet (POP2, POP3, RPOP, APOP, KPOP, all IMAPs, ESMTP ETRN) for
retrieval.  Then Fetchmail forwards the mail through SMTP, so you can
read it through your normal mail client.

%package -n fetchmailconf
Summary: 	A utility for graphically configuring your fetchmail preferences
Group: 		System/Networking
Requires: 	tkinter3
Requires: 	python3dist(future)
Requires: 	%{name} = %{version}


%description -n fetchmailconf
Fetchmailconf is a TCL/TK application for graphically configuring
your ~/.fetchmailrc preferences file.

Fetchmail has many options which can be daunting to the new user.

This utility takes some of the guesswork and hassle out of setting up
fetchmail.

%package daemon
Summary:	SySV init script for demonize fetchmail for retrieving emails
Group:		System/Base
Requires:	%{name} = %{version}
Requires(preun): rpm-helper
Requires(post): rpm-helper

%description daemon
Systemd service for fetchmail for sucking emails.

%prep
%setup -q
%autopatch -p1

%build
%serverbuild
%configure  \
	--with-ssl=%_prefix	\
	--enable-RPA		\
	--enable-NTLM		\
	--enable-SDPS		\
	--with-gssapi		\
	--with-kerberos5

# (tv) do not use %%make in order to workaround buggy parallel build:
%__make all

%install
mkdir -p %{buildroot}{%_libdir/rhs/control-panel,%_datadir/applets/Administration} \
	%{buildroot}{%_sysconfdir/{X11/wmconfig,sysconfig},%_mandir/man1,%_unitdir}
%make_install

install rh-config/*.{xpm,init} %{buildroot}%{_libdir}/rhs/control-panel

install -m0644 %SOURCE4 %{buildroot}%{_sysconfdir}/sysconfig/fetchmail
install -m0755 %SOURCE5 %{buildroot}%{_unitdir}/fetchmail.service

echo -e "# Put here each user config\n" > %{buildroot}/etc/fetchmailrc

# Menu entry
mkdir -p %{buildroot}%{_iconsdir}/hicolor/64x64/apps
install -m 0644 %{SOURCE7} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Fetchmailconf
Comment=Full-featured POP/IMAP mail retrieval daemon
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Settings;
EOF

%find_lang %name

cat > README.fetchmail-conf <<EOF
Fetchmailconf is a TCL/TK application for graphically configuring your
~/.fetchmailrc preferences file.

Fetchmail has many options which can be daunting to the new user.


This utility takes some of the guesswork and hassle out of setting up
fetchmail.
EOF

%post -n fetchmail-daemon
%_post_service fetchmail

%preun -n fetchmail-daemon
%_preun_service fetchmail

%files -f %name.lang
%doc FAQ FEATURES INSTALL NEWS NOTES README
%doc contrib fetchmail-features.html fetchmail-FAQ.html design-notes.html
%license COPYING
%attr(2755, root, mail) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%files -n fetchmailconf
%doc README.%{name}-conf
%{_libdir}/rhs/control-panel/*
%{_bindir}/%{name}conf
%{_mandir}/man1/%{name}conf.1*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/64x64/apps/%{name}.png
%{python3_sitelib}/*

%files daemon
%attr(600,mail,mail) %config(noreplace,missingok) %{_sysconfdir}/%{name}rc
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_unitdir}/%{name}.service


%changelog
* Fri Dec 29 2023 tv <tv> 6.4.37-3.mga10
+ Revision: 2023449
- Rebuild for python-3.12

* Mon Jun 26 2023 daviddavid <daviddavid> 6.4.37-2.mga10
+ Revision: 1963143
- use our systemd service macros

* Thu May 18 2023 daviddavid <daviddavid> 6.4.37-1.mga9
+ Revision: 1957196
- new version: 6.4.37
- backport support for OAUTH2 authentication from Fetchmail 7.0 (mga#30146)
- enable kerberos5 and gssapi support

* Sun Nov 27 2022 wally <wally> 6.4.34-1.mga9
+ Revision: 1911571
- new version 6.4.34
+ neoclust <neoclust>
- New version 6.4.33
- New version 6.4.32

* Sat Mar 19 2022 umeabot <umeabot> 6.4.24-3.mga9
+ Revision: 1799264
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 6.4.24-2.mga9
+ Revision: 1782843
- Rebuild for python-3.10

* Wed Dec 08 2021 neoclust <neoclust> 6.4.24-1.mga9
+ Revision: 1761229
- New version 6.4.24: Fixes CVE-2021-39272 (mga#29420)

* Sat Oct 02 2021 wally <wally> 6.4.8-8.mga9
+ Revision: 1748081
- rebuild for openssl 3.0.0

* Tue Aug 17 2021 tmb <tmb> 6.4.8-7.mga9
+ Revision: 1741742
- fix CVE-2021-36386 regression (mga#29349)

* Sat Jul 31 2021 neoclust <neoclust> 6.4.8-6.mga9
+ Revision: 1738371
- Add P100: Fixes CVE-2021-36386 (mga#29297)

* Sat Mar 27 2021 tv <tv> 6.4.8-5.mga9
+ Revision: 1710866
- rebuild for python 3.9

* Sun Jul 19 2020 wally <wally> 6.4.8-4.mga8
+ Revision: 1607191
- increase systemd service default polling interval to 300 seconds

* Sat Jul 18 2020 wally <wally> 6.4.8-3.mga8
+ Revision: 1607010
- drop norootwarning patch
- log to syslog when used as a systemd service

* Sat Jul 18 2020 wally <wally> 6.4.8-2.mga8
+ Revision: 1606903
- switch from old init script to systemd service (mga#26969)

* Sat Jul 18 2020 wally <wally> 6.4.8-1.mga8
+ Revision: 1606898
- new version 6.4.8

* Wed Mar 25 2020 danf <danf> 6.4.2-1.mga8
+ Revision: 1559577
- Upgraded to 6.4.2
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 6.3.26-12.mga7
+ Revision: 1297684
- Mageia 7 Mass Rebuild

* Fri Sep 08 2017 guillomovitch <guillomovitch> 6.3.26-11.mga7
+ Revision: 1151939
- rebuild with openssl 1.1

* Fri Oct 14 2016 daviddavid <daviddavid> 6.3.26-10.mga6
+ Revision: 1060688
- fix desktop file Categories (mga#2449)
- fix missing desktop file icon

* Wed Mar 02 2016 umeabot <umeabot> 6.3.26-9.mga6
+ Revision: 983397
- Rebuild for openssl

* Fri Feb 05 2016 umeabot <umeabot> 6.3.26-8.mga6
+ Revision: 937462
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 6.3.26-7.mga6
+ Revision: 937015
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 6.3.26-6.mga5
+ Revision: 750698
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.3.26-5.mga5
+ Revision: 679163
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 6.3.26-4.mga5
+ Revision: 628176
- Rebuild for new Python

* Sat Mar 22 2014 akien <akien> 6.3.26-3.mga5
+ Revision: 606536
- Fix version in the Obsoletes on fetchyahoo (mga#10404)

* Sat Oct 19 2013 umeabot <umeabot> 6.3.26-2.mga4
+ Revision: 529054
- Mageia 4 Mass Rebuild
+ akien <akien>
- Obsoleting fetchyahoo, which fetchmail replaces: http://fetchyahoo.twizzler.org/

* Tue Jul 02 2013 dams <dams> 6.3.26-1.mga4
+ Revision: 449543
- new version 6.3.26

* Tue Jan 22 2013 fwang <fwang> 6.3.24-3.mga3
+ Revision: 390869
- update rpm group

* Fri Jan 11 2013 umeabot <umeabot> 6.3.24-2.mga3
+ Revision: 350254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 luigiwalser <luigiwalser> 6.3.24-1.mga3
+ Revision: 338524
- 6.3.24

* Mon Dec 17 2012 fwang <fwang> 6.3.23-1.mga3
+ Revision: 331892
- new version 6.3.23

* Mon Sep 03 2012 alien <alien> 6.3.22-1.mga3
+ Revision: 287720
- Update to latest version

* Wed Sep 07 2011 tv <tv> 6.3.21-1.mga2
+ Revision: 140264
- new release

* Tue Aug 30 2011 tv <tv> 6.3.20-2.mga2
+ Revision: 136403
- add missing LSB keywords
+ dmorgan <dmorgan>
- New version 6.3.20 ( Fix CVE-2011-1947 ( mga #1912 ))

* Mon Apr 25 2011 wally <wally> 6.3.19-3.mga1
+ Revision: 90321
- fix desktop file (mga#954)
- drop buildroot definition

* Wed Feb 16 2011 blino <blino> 6.3.19-2.mga1
+ Revision: 52121
- remove old scriptlets and desktop file
- imported package fetchmail

